> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ochy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get calculated data

> Retrieve the calculated biomechanical metrics for a completed analysis.
Only available when the analysis status is `success`.

**Side view analysis** returns:
- Running metrics (speed, step length, pace, step frequency, ground contact time, time of flight, duty factor)
- Overstride analysis (mean angle and score)
- Foot landing patterns per step (footstrike pattern, landing leg, frame timestamps)
- Per-frame joint angles (ankle, knee, elbow, head, trunk) and center of mass
- Foot strike summary angles (arm, head, trunk, front/back leg mean angles)

**Back view analysis** returns:
- Gait cycle stance phase means per side (pronation, knee adduction, pelvic drop)
- Step-by-step landing data (frame timestamps, landing leg, start/end frame IDs)




## OpenAPI

````yaml /openapi.yaml get /analysis/{analysis_id}/results/calculated_data
openapi: 3.0.1
info:
  title: Ochy Partner API
  version: 1.0.0
  description: >
    The Ochy Partner API lets you integrate running biomechanical analysis into
    your application.

    Upload a video of a runner, receive detailed biomechanical metrics, joint
    angles, running style

    classification, and frame-by-frame position data.
servers:
  - url: https://partner-api.ochy-prod.com
    description: Production
security:
  - apiKey: []
paths:
  /analysis/{analysis_id}/results/calculated_data:
    get:
      tags:
        - Analysis
      summary: Get calculated data
      description: >
        Retrieve the calculated biomechanical metrics for a completed analysis.

        Only available when the analysis status is `success`.


        **Side view analysis** returns:

        - Running metrics (speed, step length, pace, step frequency, ground
        contact time, time of flight, duty factor)

        - Overstride analysis (mean angle and score)

        - Foot landing patterns per step (footstrike pattern, landing leg, frame
        timestamps)

        - Per-frame joint angles (ankle, knee, elbow, head, trunk) and center of
        mass

        - Foot strike summary angles (arm, head, trunk, front/back leg mean
        angles)


        **Back view analysis** returns:

        - Gait cycle stance phase means per side (pronation, knee adduction,
        pelvic drop)

        - Step-by-step landing data (frame timestamps, landing leg, start/end
        frame IDs)
      operationId: getCalculatedData
      parameters:
        - name: analysis_id
          in: path
          required: true
          description: Analysis ID returned by the start endpoint.
          schema:
            type: string
          example: 3dde3402-94d7-462e-a784-9306207108dd
      responses:
        '200':
          description: Calculated data for the analysis.
          content:
            application/json:
              schema:
                type: object
                description: Shape varies by analysis type. See description for details.
              examples:
                side_view:
                  summary: Side view calculated data
                  value:
                    foot_landing:
                      foot_strike:
                        arm_mean_angle: 109
                        back_leg_mean_angle: 66.413
                        front_leg_mean_angle: 139
                        head_mean_angle: -5
                        trunk_mean_angle: 2
                      mean_foot_strike_pattern: midfoot
                      steps:
                        - foot_under_center_of_mass: true
                          footstrike_pattern: forefoot
                          frame_timestamp: 175
                          landing_end_frame_id: 3
                          landing_leg: left
                          landing_start_frame_id: 2
                        - foot_under_center_of_mass: false
                          footstrike_pattern: forefoot
                          frame_timestamp: 475
                          landing_end_frame_id: 6
                          landing_leg: left
                          landing_start_frame_id: 5
                        - foot_under_center_of_mass: false
                          footstrike_pattern: midfoot
                          frame_timestamp: 2510
                          landing_end_frame_id: 50
                          landing_leg: right
                          landing_start_frame_id: 49
                      toe_off:
                        stride_angle:
                          left: 3.267
                          right: 1.366
                    frames:
                      '1':
                        angles:
                          head: -20
                          left_ankle: 152
                          left_elbow: 150
                          left_knee: 153
                          right_ankle: 145
                          right_elbow: 87
                          right_knee: 139
                          trunk: 6
                        center_of_mass:
                          x: 346.354
                          'y': 60.109
                          z: 0
                    metrics:
                      duty_factor_percent: 0.196
                      ground_contact_time_second: 0.122
                      pace_min_per_km: 4.25
                      speed_meter_per_second: 3.774
                      step_frequency_steps_per_min: 238
                      step_length_meter: 0.948
                      time_of_flight_second: 0.498
                    overstride:
                      mean_angle: 4.07
                      score: score_good
                back_view:
                  summary: Back view calculated data
                  value:
                    gait_cycle:
                      stance:
                        means:
                          left:
                            knee_adduction: -6.138
                            pelvic_drop: 2.634
                            pronation: -4.952
                          right:
                            knee_adduction: -3.474
                            pelvic_drop: 2.51
                            pronation: -3.022
                        metrics:
                          step_width: null
                        steps:
                          '0':
                            frame_timestamp: 1
                            landing_end_frame_id: 8
                            landing_leg: left
                            landing_start_frame_id: 1
                          '1':
                            frame_timestamp: 11
                            landing_end_frame_id: 19
                            landing_leg: right
                            landing_start_frame_id: 11
                          '2':
                            frame_timestamp: 22
                            landing_end_frame_id: 29
                            landing_leg: left
                            landing_start_frame_id: 22
                          '3':
                            frame_timestamp: 32
                            landing_end_frame_id: 40
                            landing_leg: right
                            landing_start_frame_id: 32
        '400':
          description: Analysis not completed yet.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                detail: 'Analysis is not completed yet. Current status: analyzing'
        '401':
          description: Missing API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthErrorResponse'
        '403':
          description: Invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthErrorResponse'
        '404':
          description: Analysis not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
          example: Internal server error
        code:
          type: string
          description: Machine-readable error code (present on some errors).
          example: insufficient_credits
    AuthErrorResponse:
      type: object
      properties:
        detail:
          type: string
          example: API Key is missing
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apiKey
      description: Your API key, passed as a query parameter on every request.

````